org.apache.solr.client.solrj.request.schema

## Class SchemaRequest.MultiUpdate

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<T>
  - - org.apache.solr.client.solrj.request.schema.AbstractSchemaRequest<SchemaResponse.UpdateResponse>
    - - org.apache.solr.client.solrj.request.schema.SchemaRequest.Update
      - - org.apache.solr.client.solrj.request.schema.SchemaRequest.MultiUpdate

All Implemented Interfaces:
  Serializable

Enclosing class:
  SchemaRequest

    public static class SchemaRequest.MultiUpdate
    extends SchemaRequest.Update

The Schema API offers the possibility to perform one or more add requests in a single command.

The API is transactional and all commands in a single `SolrRequest.process(SolrClient, String)` call either succeed or fail together.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD`

### Field Summary

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS, useBinaryV2, usev2`

### Constructor Summary

Constructors
Constructor and Description
`MultiUpdate(List<SchemaRequest.Update> updateSchemaRequests)`
`MultiUpdate(List<SchemaRequest.Update> updateSchemaRequests, SolrParams q)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected NamedList<Object>` `getRequestParameters()`

### Methods inherited from class org.apache.solr.client.solrj.request.schema.SchemaRequest.Update

`createResponse, getContentStreams`

### Methods inherited from class org.apache.solr.client.solrj.request.schema.AbstractSchemaRequest

`getParams`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`getBasicAuthPassword, getBasicAuthUser, getCollection, getContentWriter, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback, setUseBinaryV2, setUseV2`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MultiUpdate

    public MultiUpdate(List<SchemaRequest.Update> updateSchemaRequests)

#### MultiUpdate

    public MultiUpdate(List<SchemaRequest.Update> updateSchemaRequests,
                       SolrParams q)

### Method Detail

#### getRequestParameters

    protected NamedList<Object> getRequestParameters()

Specified by:
  `getRequestParameters` in class `SchemaRequest.Update`